Bug 1275763 - [RFE] add setup-ds.pl option to disable instance specific scripts
Summary: [RFE] add setup-ds.pl option to disable instance specific scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-27 16:37 UTC by Noriko Hosoi
Modified: 2016-11-03 20:36 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:36:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2015-10-27 16:37:08 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47840

Now that https://fedorahosted.org/389/ticket/528 is fixed, the next step is to allow building the server with the instance specific scripts disabled.

Add a new configure option:
AC_ARG_ENABLE(instance-scripts, AS_HELP_STRING([--enable-instance-scripts], [Enable setup to create instance specific scripts in the system lib/dirsrv directory (default: yes)])

The default is yes, so as not to break any existing builds.  If you do not want setup to create the instance specific scripts, use configure ... --disable-instance-scripts

Comment 1 Viktor Ashirov 2016-04-06 20:36:44 UTC
Per email discussion, changing this to RFE. 

https://fedorahosted.org/389/changeset/20ebe8dd9cb9f17d0f09a9f0e5f65fc9a83d0b13/

Fix Description: Instead of defining a configure option, we provide a new
option in setup-ds.pl, slapd.InstScriptsEnabled?, which defaults to false. All
new installs of 389 will NOT install with a inst_dir nor the scripts that are in
that directory.
Additionally, this change fixes setup-ds.pl to correctly use the sbindir scripts
to start/stop the server instance during installation.
Finally, we add support for setup-ds.pl so that in --update if the inst_dir
exists, scripts will be updated, but if it does not exist, no action is taken.
In time, we will alter --update to *remove* the scripts within inst_dir during
the update (We have no way of knowing if a customer has put custom scripts in
inst_dir)
Example:
/opt/dirsrv/sbin/setup-ds.pl slapd.InstScriptsEnabled?=false

Comment 2 Viktor Ashirov 2016-04-07 16:57:46 UTC
Doc bug: https://bugzilla.redhat.com/show_bug.cgi?id=1324907

And by default old behaviour will be kept, i.e. scripts will be installed.

Comment 4 Amita Sharma 2016-09-14 10:11:21 UTC
A minor bug - https://bugzilla.redhat.com/show_bug.cgi?id=1348903
Rest worked as expected.

Comment 6 errata-xmlrpc 2016-11-03 20:36:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.